#debuginfo not supported with Go
%global debug_package %{nil}
%global package_name skupper
%global product_name Skupper
%global golang_version 1.15
%global skupper_version 1.0.2
%global skupper_release 1
%global skupper_cli_version %{skupper_version}
%global source_dir skupper
%global source_tar %{source_dir}-%{skupper_cli_version}.tar.gz

Name:           %{package_name}
Version:        %{skupper_version}
Release:        %{skupper_release}%{?dist}
Summary:        %{product_name} CLI binary
License:        ASL 2.0
URL:            https://github.com/skupperproject/skupper

Source0:        https://github.com/skupperproject/skupper/archive/%{skupper_cli_version}/%{source_tar}
Source1:        vendor.tar.gz

BuildRequires:  golang >= %{golang_version}
BuildRequires:  make

%description
Skupper is an open source tool for creating Virtual Application Networks in
Kubernetes. By using Skupper, you can create a distributed application
comprised of microservices running in different Kubernetes clusters.


%prep
%setup -q -a 1 -n %{source_dir}-%{skupper_version}

%build
%make_build build-cmd VERSION=%{version}

%install
mkdir -p %{buildroot}/%{_bindir}
install -m 0755 skupper %{buildroot}/%{_bindir}/skupper

 # Install bash completions
install -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d/
echo "+++ INSTALLING BASH COMPLETIONS FOR skupper "
%{buildroot}%{_bindir}/skupper completion > %{buildroot}%{_sysconfdir}/bash_completion.d/skupper
chmod 644 %{buildroot}%{_sysconfdir}/bash_completion.d/skupper


%files
%license LICENSE
%{_bindir}/skupper
%{_sysconfdir}/bash_completion.d/skupper


%changelog
